> ## Documentation Index
> Fetch the complete documentation index at: https://docs.collective.work/llms.txt
> Use this file to discover all available pages before exploring further.

# Import Users

> Import users into My Talents



## OpenAPI

````yaml POST /my-talents/import
openapi: 3.0.1
info:
  title: Collective Work Job API
  description: API for managing job postings on the Collective Work platform
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.collective.work/{environment}/v1
    description: Collective Work API server
    variables:
      environment:
        default: sandbox
        description: API environment
        enum:
          - sandbox
          - production
security:
  - bearerAuth: []
paths:
  /my-talents/import:
    post:
      description: Import users into My Talents
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MyTalentsImportDto'
      responses:
        '201':
          description: Users successfully imported
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MyTalentsImportResponseDto'
        '400':
          description: Invalid input data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error400'
        '403':
          description: Invalid API key or missing required permission
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error403'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error500'
components:
  schemas:
    MyTalentsImportDto:
      type: object
      required:
        - internalUserId
      properties:
        internalUserId:
          type: string
          description: >-
            Internal identifier of the user in your system - this is used to
            link the user to your system
          example: candidate-12345
        linkedInUrl:
          type: string
          description: >-
            LinkedIn profile URL of the user (At least one of `linkedInUrl` or
            `resume` must be provided)
          example: https://www.linkedin.com/in/johndoe
        resume:
          type: string
          description: >-
            Resume/CV file content in base64 format (At least one of
            `linkedInUrl` or `resume` must be provided) - Payload is limited to
            `10mb` maximum size
          example: JVBERi0xLjQKJeLjz9...
        resumeUrl:
          type: string
          description: >-
            Resume/CV URL of the user - ⚠️ don't use anymore ⚠️ - send resume in
            base64 format instead for safer handling
          example: https://storage.example.com/resumes/johndoe-cv.pdf
          deprecated: true
        firstname:
          type: string
          description: First name of the user
          example: John
        lastname:
          type: string
          description: Last name of the user
          example: Doe
        pictureUrl:
          type: string
          description: Profile picture URL of the user
          example: https://storage.example.com/photos/johndoe.jpg
        atsUrl:
          type: string
          description: >-
            ATS URL - this is the URL of the profile in your ATS system -
            providing is important to allow you to jump directly to the profile
            in your ATS system from Collective, simplifying greatly the
            experience
          example: https://ats.example.com/candidates/12345
        emails:
          type: array
          items:
            type: string
          description: List of email addresses
          example:
            - john.doe@email.com
            - johndoe@gmail.com
        phones:
          type: array
          items:
            type: string
          description: List of phone numbers
          example:
            - +33 6 12 34 56 78
            - +1 555 123 4567
        notes:
          type: array
          items:
            $ref: '#/components/schemas/MyTalentsImportNoteDto'
          description: List of notes, interview reviews about the user
        links:
          type: array
          items:
            $ref: '#/components/schemas/MyTalentsImportLinkDto'
          description: List of links (github, personal website, etc...)
        dailyRate:
          type: string
          description: Daily rate in cents (e.g., "50000" for 500.00 EUR)
          example: '50000'
        yearlySalaryMin:
          type: string
          description: >-
            Minimum yearly salary expectation in cents (e.g., "4500000" for
            45000.00 EUR). Must be provided together with yearlySalaryMax.
          example: '4500000'
        yearlySalaryMax:
          type: string
          description: >-
            Maximum yearly salary expectation in cents (e.g., "6500000" for
            65000.00 EUR). Must be provided together with yearlySalaryMin.
          example: '6500000'
        workPreference:
          type: string
          enum:
            - REMOTE
            - FLEXIBLE
          description: 'Work preference: REMOTE or FLEXIBLE'
          example: REMOTE
        location:
          type: string
          description: |-
            Location of the user (e.g., "Paris, France")

            This overrides any location data we may have gathered internally.
          example: Paris, France
        desiredContractType:
          type: array
          items:
            type: string
            enum:
              - FREELANCER
              - PERMANENT_CONTRACT
          description: >-
            Desired contract types: array containing FREELANCER and/or
            PERMANENT_CONTRACT
          example:
            - FREELANCER
            - PERMANENT_CONTRACT
    MyTalentsImportResponseDto:
      type: object
      required:
        - userId
        - status
      properties:
        userId:
          type: string
          description: Unique identifier of the user in Collective
          example: cm71yqftr00000ck0bpz3hpg1
        status:
          type: string
          description: Whether the user was newly created or updated
          example: created
          enum:
            - created
            - updated
    Error400:
      type: object
      required:
        - message
        - error
        - statusCode
      properties:
        message:
          type: array
          items:
            type: string
        statusCode:
          type: integer
          example: 400
        error:
          type: string
          example: Bad Request
    Error403:
      type: object
      required:
        - message
        - error
        - statusCode
      properties:
        message:
          type: array
          items:
            type: string
        statusCode:
          type: integer
          example: 403
        error:
          type: string
          example: Forbidden
    Error500:
      type: object
      required:
        - message
        - error
        - statusCode
      properties:
        message:
          type: array
          items:
            type: string
          example:
            - Internal server error
        statusCode:
          type: integer
          example: 500
        error:
          type: string
          example: Internal Server Error
    MyTalentsImportNoteDto:
      type: object
      required:
        - content
      properties:
        content:
          type: string
          description: >-
            Content of the note - It can be basic html and will be rendered as
            such if provided (we support basic html tags, p, ul, li, strong, em,
            etc...)
          example: >-
            Great candidate, strong technical skills. Interviewed for senior
            role.
        timestamp:
          type: string
          description: Timestamp of the note
          example: '2024-03-15T14:30:00Z'
        email:
          type: string
          description: >-
            Email of the recruiter posting the note - this is important to allow
            you to link the note to the recruiter in Collective. If the
            recrutier is not present, it will be marked as 'Anonymous'.
          example: recruiter@company.com
        authorName:
          type: string
          description: >-
            Full name of the recruiter posting the note. Used as a fallback
            display name when the email cannot be matched to an existing
            Collective recruiter.
          example: Jane Recruiter
    MyTalentsImportLinkDto:
      type: object
      properties:
        name:
          type: string
          description: Link name/label - eg. GitHub
          example: GitHub
        url:
          type: string
          description: Link URL
          example: https://github.com/johndoe
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Your organization API key, available in [Organisation
        settings](https://app.collective.work/recruiter/organization/api).

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.